列出 customQuestions
命名空间:microsoft.graph
获取与bookingBusiness关联的bookingCustomQuestion资源。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | BookingsAppointment.ReadWrite.All、Bookings.ReadWrite.All、Bookings.Manage.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /solutions/bookingBusinesses/{bookingBusinessesId}/customQuestions
可选的查询参数
此方法支持一些 OData 查询参数来帮助自定义响应。 有关一般信息,请参阅 $count 和 $expand OData 查询参数。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 bookingCustomQuestion 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/customQuestions
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"id": "3bc6fde0-4ad3-445d-ab17-0fc15dba0774",
"displayName": "What is your age?",
"answerInputType": "text",
"answerOptions": [],
},
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"id": "dbb865a6-530d-46e1-8e88-5d76789034b2",
"displayName": "What is your nationality?",
"answerInputType": "radioButton",
"answerOptions": [
"US",
"UK",
"Canada",
"India"
],
}
]
}
反馈
提交和查看相关反馈